org.eclipse.jdt.core.util

## Interface IModifierConstants

    public interface IModifierConstants

Definition of the modifier constants as specified in the JVM specifications.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static int` `ACC_ABSTRACT`
`static int` `ACC_ANNOTATION` Indicates an annotation (added in J2SE 1.5).
`static int` `ACC_BRIDGE` Indicates a bridge method (added in J2SE 1.5).
`static int` `ACC_ENUM` Indicates an enum (added in J2SE 1.5).
`static int` `ACC_FINAL`
`static int` `ACC_INTERFACE`
`static int` `ACC_MANDATED` Indicates a mandated parameter, such as this$1 (added in Java SE 8).
`static int` `ACC_NATIVE`
`static int` `ACC_PRIVATE`
`static int` `ACC_PROTECTED`
`static int` `ACC_PUBLIC`
`static int` `ACC_STATIC`
`static int` `ACC_STRICT`
`static int` `ACC_SUPER`
`static int` `ACC_SYNCHRONIZED`
`static int` `ACC_SYNTHETIC` Indicates a synthetic member or method parameter.
`static int` `ACC_TRANSIENT`
`static int` `ACC_VARARGS` Indicates a variable arity method (added in J2SE 1.5).
`static int` `ACC_VOLATILE`

### Field Detail

#### ACC_PUBLIC

    static final int ACC_PUBLIC

See Also:
  Constant Field Values

#### ACC_PRIVATE

    static final int ACC_PRIVATE

See Also:
  Constant Field Values

#### ACC_PROTECTED

    static final int ACC_PROTECTED

See Also:
  Constant Field Values

#### ACC_STATIC

    static final int ACC_STATIC

See Also:
  Constant Field Values

#### ACC_FINAL

    static final int ACC_FINAL

See Also:
  Constant Field Values

#### ACC_SUPER

    static final int ACC_SUPER

See Also:
  Constant Field Values

#### ACC_SYNCHRONIZED

    static final int ACC_SYNCHRONIZED

See Also:
  Constant Field Values

#### ACC_VOLATILE

    static final int ACC_VOLATILE

See Also:
  Constant Field Values

#### ACC_BRIDGE

    static final int ACC_BRIDGE

Indicates a bridge method (added in J2SE 1.5).

Since:
  3.0
See Also:
  Constant Field Values

#### ACC_TRANSIENT

    static final int ACC_TRANSIENT

See Also:
  Constant Field Values

#### ACC_VARARGS

    static final int ACC_VARARGS

Indicates a variable arity method (added in J2SE 1.5).

Since:
  3.0
See Also:
  Constant Field Values

#### ACC_NATIVE

    static final int ACC_NATIVE

See Also:
  Constant Field Values

#### ACC_INTERFACE

    static final int ACC_INTERFACE

See Also:
  Constant Field Values

#### ACC_ABSTRACT

    static final int ACC_ABSTRACT

See Also:
  Constant Field Values

#### ACC_STRICT

    static final int ACC_STRICT

See Also:
  Constant Field Values

#### ACC_SYNTHETIC

    static final int ACC_SYNTHETIC

Indicates a synthetic member or method parameter.

Since:
  3.0
See Also:
  Constant Field Values

#### ACC_ANNOTATION

    static final int ACC_ANNOTATION

Indicates an annotation (added in J2SE 1.5).

Since:
  3.0
See Also:
  Constant Field Values

#### ACC_ENUM

    static final int ACC_ENUM

Indicates an enum (added in J2SE 1.5).

Since:
  3.0
See Also:
  Constant Field Values

#### ACC_MANDATED

    static final int ACC_MANDATED

Indicates a mandated parameter, such as this$1 (added in Java SE 8).

Since:
  3.10
See Also:
  Constant Field Values